# LogDoctor: CharOps Namespace Reference

Loading...
Searching...
No Matches
CharOps Namespace Reference

CharOps. More...

## Functions

bool | isNumeric (const char &chr) noexcept
| Checks whether a character is numeric.
bool | isAlphabetic (const char &chr) noexcept
| Checks whether a character is alphabetic.
bool | isAlnum (const char &chr) noexcept
| Checks whether a character is alphanumeric.
bool | isHex (const char &chr) noexcept
| Checks whether a character is hexadecimal.
bool | isIP (const char &chr) noexcept
| Checks whether a character can be part of an IPv4/IPv6.

## Detailed Description

CharOps.

Utilities for chars

## Function Documentation

## isAlnum()

bool CharOps::isAlnum | ( | const char & | chr | ) |

inlinenoexcept

Checks whether a character is alphanumeric.

Parameters

  chr | The target character

Returns
  The result of the check

## isAlphabetic()

bool CharOps::isAlphabetic | ( | const char & | chr | ) |

inlinenoexcept

Checks whether a character is alphabetic.

Parameters

  chr | The target character

Returns
  The result of the check

## isHex()

bool CharOps::isHex | ( | const char & | chr | ) |

inlinenoexcept

Checks whether a character is hexadecimal.

Parameters

  chr | The target character

Returns
  The result of the check

## isIP()

bool CharOps::isIP | ( | const char & | chr | ) |

inlinenoexcept

Checks whether a character can be part of an IPv4/IPv6.

Parameters

  chr | The target character

Returns
  The result of the check

## isNumeric()

bool CharOps::isNumeric | ( | const char & | chr | ) |

inlinenoexcept

Checks whether a character is numeric.

Parameters

  chr | The target character

Returns
  The result of the check